# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /Users/runner/work/1/s/recipes/bellmans-gapc, last modified Sat Jan 13 23:23:54 2024
# ------------------------------------------------

package:
  name: bellmans-gapc
  version: 2024.01.12
source:
  sha256: 590b62d5fc39b1deb45855b0586d7ca3674ef17c59fc84ef445d2760a480f7ba
  url: https://github.com/jlab/gapc/archive/2024.01.12.tar.gz
build:
  number: '0'
  run_exports:
    - bellmans-gapc >=2024.1.12
  string: h894da93_0
requirements:
  build:
    - ca-certificates 2023.11.17 h8857fd0_0
    - cctools_osx-64 973.0.1 habff3f6_15
    - clang 15.0.7 hac416ee_4
    - clang-15 15.0.7 default_h6b1ee41_4
    - clang_impl_osx-64 15.0.7 h03d6864_8
    - clang_osx-64 15.0.7 hb91bd55_8
    - clangxx 15.0.7 default_h6b1ee41_4
    - clangxx_impl_osx-64 15.0.7 h2133e9c_8
    - clangxx_osx-64 15.0.7 hb91bd55_8
    - compiler-rt 15.0.7 ha38d28d_2
    - compiler-rt_osx-64 15.0.7 ha38d28d_2
    - icu 73.2 hf5e326d_0
    - ld64_osx-64 609 h0fd476b_15
    - libclang-cpp15 15.0.7 default_h6b1ee41_4
    - libcxx 16.0.6 hd57cbcb_0
    - libiconv 1.17 hd75f5a5_2
    - libllvm15 15.0.7 hbedff68_4
    - libxml2 2.12.3 hc0ae0f7_0
    - libzlib 1.2.13 h8a1eda9_5
    - llvm-tools 15.0.7 hbedff68_4
    - make 4.3 h22f3db7_1
    - openssl 3.2.0 hd75f5a5_1
    - sigtool 0.1.3 h88f4db0_0
    - tapi 1100.0.11 h9ce4665_0
    - xz 5.2.6 h775f41a_0
    - zstd 1.5.5 h829000d_0
  host:
    - bison 3.8.2 hd7636e7_0
    - blas 2.120 openblas
    - blas-devel 3.9.0 20_osx64_openblas
    - boost-cpp 1.78.0 h2f2b2fd_4
    - bzip2 1.0.8 h10d778d_5
    - flex 2.6.4 hcc69e7b_1004
    - gettext 0.21.1 h8a4c099_0
    - gsl 2.7 h93259b0_0
    - icu 73.2 hf5e326d_0
    - libblas 3.9.0 20_osx64_openblas
    - libcblas 3.9.0 20_osx64_openblas
    - libcxx 16.0.6 hd57cbcb_0
    - libgfortran 5.0.0 13_2_0_h97931a8_1
    - libgfortran5 13.2.0 h2873a65_1
    - libiconv 1.17 hd75f5a5_2
    - liblapack 3.9.0 20_osx64_openblas
    - liblapacke 3.9.0 20_osx64_openblas
    - libopenblas 0.3.25 openmp_hfef2a42_0
    - libzlib 1.2.13 h8a1eda9_5
    - llvm-openmp 17.0.6 hb6ac08f_0
    - m4 1.4.18 haf1e3a3_1001
    - openblas 0.3.25 openmp_h6794695_0
    - sed 4.7 h3efe00b_1000
    - xz 5.2.6 h775f41a_0
    - zstd 1.5.5 h829000d_0
  run:
    - blas
    - boost-cpp >=1.78.0,<1.78.1.0a0
    - gsl >=2.7,<2.8.0a0
    - libcxx >=14
    - make
    - sed
test:
  commands:
    - gapc -h
about:
  home: https://bibiserv.cebitec.uni-bielefeld.de/gapc
  license: GPL-3.0-or-later
  license_family: GPL3
  license_file: LICENSE
  summary: A language and compiler for algebraic dynamic programming.
extra:
  copy_test_source_files: true
  final: true
